---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50840, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52780, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52B70, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B10, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B20, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50360, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50364, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50368, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x504C0, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50578, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5057C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50580, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50584, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50588, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50590, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x505A8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x505B0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x505B8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x505C0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x505C8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50610, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL16watch_ev_monitor, symObjAddr: 0x50618, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL8watch_ev, symObjAddr: 0x50620, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9110, offset: 0x9110, size: 0x8, addend: 0x0, symName: __ZL6gen_ev, symObjAddr: 0x50624, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x9129, offset: 0x9129, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50628, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9142, offset: 0x9142, size: 0x8, addend: 0x0, symName: __ZL10tot_result, symObjAddr: 0x50638, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50640, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x91B4, offset: 0x91B4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4390, symSize: 0x80 }
  - { offsetInCU: 0x9249, offset: 0x9249, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x42E0, symSize: 0xB0 }
  - { offsetInCU: 0x92A4, offset: 0x92A4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x41E0, symSize: 0x100 }
  - { offsetInCU: 0x9537, offset: 0x9537, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4410, symSize: 0x220 }
  - { offsetInCU: 0x971C, offset: 0x971C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4630, symSize: 0xA0 }
  - { offsetInCU: 0x97CF, offset: 0x97CF, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x46D0, symSize: 0x110 }
  - { offsetInCU: 0x98C5, offset: 0x98C5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x47E0, symSize: 0x150 }
  - { offsetInCU: 0x9A22, offset: 0x9A22, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4930, symSize: 0x30 }
  - { offsetInCU: 0x9AE3, offset: 0x9AE3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4960, symSize: 0x150 }
  - { offsetInCU: 0x9CDB, offset: 0x9CDB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4AB0, symSize: 0x160 }
  - { offsetInCU: 0x9E67, offset: 0x9E67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4C10, symSize: 0x1B0 }
  - { offsetInCU: 0xA082, offset: 0xA082, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4DC0, symSize: 0xA0 }
  - { offsetInCU: 0xA151, offset: 0xA151, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4E60, symSize: 0x20 }
  - { offsetInCU: 0xA188, offset: 0xA188, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4E80, symSize: 0x20 }
  - { offsetInCU: 0xA1BF, offset: 0xA1BF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4EA0, symSize: 0x20 }
  - { offsetInCU: 0xA36E, offset: 0xA36E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4EC0, symSize: 0x1A0 }
  - { offsetInCU: 0xA694, offset: 0xA694, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5060, symSize: 0x80 }
  - { offsetInCU: 0xA75D, offset: 0xA75D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x50E0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2F2, offset: 0xB2F2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA140, symBinAddr: 0x63B0, symSize: 0xB0 }
  - { offsetInCU: 0xB369, offset: 0xB369, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5780, symSize: 0x70 }
  - { offsetInCU: 0xB425, offset: 0xB425, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x57F0, symSize: 0xA0 }
  - { offsetInCU: 0xB550, offset: 0xB550, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5890, symSize: 0x40 }
  - { offsetInCU: 0xB646, offset: 0xB646, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x58D0, symSize: 0x2B0 }
  - { offsetInCU: 0xB9EC, offset: 0xB9EC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5B80, symSize: 0xC0 }
  - { offsetInCU: 0xBB32, offset: 0xBB32, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5C40, symSize: 0x10 }
  - { offsetInCU: 0xBBF4, offset: 0xBBF4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5C50, symSize: 0x220 }
  - { offsetInCU: 0xBEF1, offset: 0xBEF1, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5E70, symSize: 0x10 }
  - { offsetInCU: 0xBF47, offset: 0xBF47, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5E80, symSize: 0x1A0 }
  - { offsetInCU: 0xC157, offset: 0xC157, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x6020, symSize: 0x10 }
  - { offsetInCU: 0xC1AD, offset: 0xC1AD, size: 0x8, addend: 0x0, symName: _FramePop, symObjAddr: 0x9DC0, symBinAddr: 0x6030, symSize: 0x60 }
  - { offsetInCU: 0xC256, offset: 0xC256, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x9E20, symBinAddr: 0x6090, symSize: 0x60 }
  - { offsetInCU: 0xC30A, offset: 0xC30A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe001_suspThread, symObjAddr: 0x9E80, symBinAddr: 0x60F0, symSize: 0x80 }
  - { offsetInCU: 0xC3A2, offset: 0xC3A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe001_resThread, symObjAddr: 0x9F00, symBinAddr: 0x6170, symSize: 0x80 }
  - { offsetInCU: 0xC472, offset: 0xC472, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe001_doPopFrame, symObjAddr: 0x9F80, symBinAddr: 0x61F0, symSize: 0x1C0 }
  - { offsetInCU: 0xC6AB, offset: 0xC6AB, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1F0, symBinAddr: 0x6460, symSize: 0x36A }
...
